FUNCTION LEX(3)

NAME
boost::algorithm::lexicographical_compare - Lexicographical compare predicate.

SYNOPSIS

// In header: <boost/algorithm/string/predicate.hpp>
template<typename Range1T, typename Range2T, typename PredicateT>
  bool lexicographical_compare(const Range1T & Arg1, const Range2T & Arg2,
                               PredicateT Pred);
template<typename Range1T, typename Range2T>
  bool lexicographical_compare(const Range1T & Arg1, const Range2T & Arg2);

DESCRIPTION

This predicate is an overload of std::lexicographical_compare for range arguments

It check whether the first argument is lexicographically less then the second one.

If the optional predicate is specified, it is used for character-wise comparison

Parameters:

    Arg1
        First argument

    Arg2
        Second argument

    Pred
        Comparison predicate

Returns:
    The result of the test

Notes:
    This function provides the strong exception-safety guarantee